#include <stdio.h>

/* Define to output in CDB format */
#undef CDB

int main (int argc, char **argv)
{
	int i;
#ifdef CDB
	char k[64];
	char v[64];
#endif
	
	for(i=0; i<1000000; i++) {
#ifdef CDB
		snprintf(k, 64, "%i", i);
		snprintf(v, 64, "%i", i);
		printf("+%i,%i:%s->%s\n",
			strlen(k),
			strlen(v),
			k,
			v);
#else
		printf("%i:rec %i\n", i, i);
#endif
	}
	printf("\n");
	return 0;
}
